# This makefile is for Open Watcom C++ on OS/2.

GBM    = ..\gbmos2

#
# Using Open Watcom C++:
#
CC      = wcc386
CL      = wlink
CLIB    = wlib

# Builds libpng objects which are compiled multithreaded
# Therefore all users should also be multithreaded
CWARNS         = -wx
CFLAGS         = $(CWARNS) -i$(GBM) -zq -onatx -ei -zp8 -6 -fp5 -bm -mf
#CFLAGS_DBG     = $(CWARNS) -i$(GBM) -zq -ei -zp8 -6 -fp5 -bm -mf -d2 /DDEBUG
#CFLAGS_DBG     = $(CWARNS) -i$(GBM) -zq -ei -zp8 -6 -fp5 -bm -mf -d2
CFLAGS_EXE     = $(CFLAGS)
CFLAGS_EXE_DBG = $(CFLAGS_DBG)

LFLAGS         = op q op el op stack=0x6000
LFLAGS_DBG     = op q d all op stack=0x6000
LFLAGS_EXE     = SYSTEM os2v2     $(LFLAGS)
LFLAGS_EXE_DBG = SYSTEM os2v2     $(LFLAGS_DBG)

#CFLAGS_EXE     = $(CFLAGS_EXE_DBG)
#LFLAGS_EXE     = $(LFLAGS_EXE_DBG)

#

.SUFFIXES:	.c .obj

.c.obj:
		$(CC) $(CFLAGS_EXE) $*.c

#

all:    gbmtest.exe

#

gbmtest.exe:  gbmtest.obj $(GBM)\gbm.lib
 	      $(CL) $(LFLAGS_EXE) name $@ file gbmtest.obj library $(GBM)\gbm.lib

gbmtest.obj:  gbmtest.c


# ------------------------
# Build management targets
# ------------------------

clean:  
	-del /N *.obj 2> nul

clobber: 
	 -del /N *.obj *.exe 2> nul
